org.apache.felix.service.command.annotations

## Annotation Type GogoCommand

    @ComponentPropertyType
     @Retention(value=CLASS)
     @Target(value=TYPE)
    public @interface GogoCommand

### Field Summary

Fields
`static String` `PREFIX_`

### Required Element Summary

Required Elements
`String[]` `function`
`String` `scope`

### Field Detail

#### PREFIX_

    public static final String PREFIX_

### Element Detail

#### scope

    public abstract String scope

Returns:
  the scope used to disambiguate command functions

#### function

    public abstract String[] function

Returns:
  the command functions provided by the service